package db.netprobe.entity;

import io.netty.buffer.ByteBuf;
import io.netty.buffer.Unpooled;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.text.ParseException;

@Data
@NoArgsConstructor
public class LogItem {
    int magic = 0x352F6EA2;
    short type;
    short length;
    long stamp;
    byte[] rawPacket;

    public LogItem(short type, long stamp, byte[] rawPacket) {
        this.type = type;
        this.length = (short) (16 + rawPacket.length);
        this.stamp = stamp;
        this.rawPacket = rawPacket;
    }

    public byte[] getPayload() {
        ByteBuf buf = Unpooled.buffer(length);
        buf.writeInt(magic);
        buf.writeShort(type);
        buf.writeShort(length);
        buf.writeLong(stamp);
        buf.writeBytes(rawPacket);
        return buf.array();
    }

    public void setPayload(byte[] buffer) {
        ByteBuf buf = Unpooled.buffer(buffer.length);
        buf.writeBytes(buffer);

        magic = buf.readInt();
        type = buf.readShort();
        length = buf.readShort();
        stamp = buf.readLong();
        rawPacket = new byte[length];
        buf.readBytes(rawPacket);
    }

    public void setHeader(byte[] buffer) {
        ByteBuf buf = Unpooled.buffer(16);
        buf.writeBytes(buffer);

        magic = buf.readInt();
        type = buf.readShort();
        length = buf.readShort();
        stamp = buf.readLong();
    }
}
