package db.netprobe.netty;

import db.netprobe.Globals;
import db.netprobe.api.DBApiEntry;
import db.netprobe.api.Point;
import db.netprobe.api.PointVals;
import db.netprobe.api.Util;
import db.netprobe.entity.BasePackage;
import db.netprobe.entity.DataPackage;
import db.netprobe.handler.DataPackageHandler;
import db.netprobe.util.SpringUtils;
import io.netty.buffer.ByteBuf;
import io.netty.channel.ChannelHandlerContext;
import io.netty.channel.SimpleChannelInboundHandler;
import io.netty.channel.socket.DatagramPacket;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;

import java.net.InetAddress;
import java.util.Date;
import java.util.HashMap;


@Slf4j
public class NettyServerHandler extends SimpleChannelInboundHandler<BasePackage> {

    private DataPackageHandler dataPackageHandler = SpringUtils.getBean(DataPackageHandler.class);

    @Override
    protected void channelRead0(ChannelHandlerContext arg0, BasePackage basePackage) throws Exception {
        System.out.println("收到数据:" + basePackage);

        if(basePackage instanceof DataPackage) {
            dataPackageHandler.handlerDataPackage((DataPackage) basePackage);
        }
    }

    @Override
    public void exceptionCaught(ChannelHandlerContext ctx, Throwable cause) {
        cause.printStackTrace();
        ctx.close();
    }

}
