package db.netprobe.util;

import lombok.extern.slf4j.Slf4j;

import java.io.*;

@Slf4j
public class FileUtils {

    public static void appendFile(String filename, byte[] content) throws IOException {
        File file = new File(filename);
        // 创建文件夹
        File directory = file.getParentFile();
        if(directory!= null) {
            directory.mkdirs();
        }

        // 追加写入
        FileOutputStream writer = new FileOutputStream(file, true);
        writer.write(content);
        writer.close();
    }

    public static void overwriteFile(String filename, byte[] content, int pos) throws IOException {
        RandomAccessFile randomAccessFile = new RandomAccessFile(filename, "rw");
        randomAccessFile.seek(pos);
        randomAccessFile.write(content);
    }

    public static void readFile(String filename, byte[] content, int pos) throws IOException {
        RandomAccessFile randomAccessFile = new RandomAccessFile(filename, "r");
        randomAccessFile.seek(pos);
        randomAccessFile.readFully(content);
    }

    public static void writeFile(String filename, byte[] content) throws IOException {
        File file = new File(filename);
        // 创建文件夹
        File directory = file.getParentFile();
        if(directory!= null) {
            directory.mkdirs();
        }

        // 追加写入
        FileOutputStream writer = new FileOutputStream(file, false);
        writer.write(content);
        writer.close();
    }

}
